Package com.independentsoft.office.spreadsheet.extensions

# Class RevisionPointer

java.lang.Object
com.independentsoft.office.spreadsheet.extensions.RevisionPointer

public class RevisionPointer extends Object
Represents the co-authoring revision pointer (`xr:revisionPtr` element) written by Excel 2016 and later into workbook.xml.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static String`
  `NAMESPACE`
  The namespace of the revision pointer element.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RevisionPointer()`
  Instantiates a new revision pointer.
  `RevisionPointer​(InternalXMLStreamReader reader)`
  Instantiates a new revision pointer.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `RevisionPointer`
  `clone()`
  `String`
  `getDocumentId()`
  Gets the document identifier (`documentId` attribute).
  `String`
  `getRevisionIdLastSave()`
  Gets the revision id of the last save (`revIDLastSave` attribute).
  `void`
  `setDocumentId​(String documentId)`
  Sets the document identifier (`documentId` attribute).
  `void`
  `setRevisionIdLastSave​(String revisionIdLastSave)`
  Sets the revision id of the last save (`revIDLastSave` attribute).
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### NAMESPACE

    public static final String NAMESPACE
    The namespace of the revision pointer element.
    See Also:
      Constant Field Values

- ## Constructor Details

  - ### RevisionPointer

    public RevisionPointer()
    Instantiates a new revision pointer.

  - ### RevisionPointer

    public RevisionPointer​(InternalXMLStreamReader reader)
    Instantiates a new revision pointer.

    Reads the attributes only and leaves the reader ON the start element, so the caller's loop advances past it.

    Parameters:
      `reader` - the reader

- ## Method Details

  - ### clone

    public RevisionPointer clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getRevisionIdLastSave

    public String getRevisionIdLastSave()
    Gets the revision id of the last save (`revIDLastSave` attribute).
    Returns:
      the revision id of the last save

  - ### setRevisionIdLastSave

    public void setRevisionIdLastSave​(String revisionIdLastSave)
    Sets the revision id of the last save (`revIDLastSave` attribute).
    Parameters:
      `revisionIdLastSave` - the new revision id of the last save

  - ### getDocumentId

    public String getDocumentId()
    Gets the document identifier (`documentId` attribute).
    Returns:
      the document id

  - ### setDocumentId

    public void setDocumentId​(String documentId)
    Sets the document identifier (`documentId` attribute).
    Parameters:
      `documentId` - the new document id